Skip to main content
POST
Add creatives to a campaign

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Optional caller-generated value that prevents duplicate generation when retrying the same request.

Required string length: 1 - 255

Path Parameters

campaign_id
string<uuid>
required

Body

application/json
creative_count
enum<integer>
default:10
Available options:
3,
5,
10,
15,
20,
25,
30
max_credits
integer

Refuse the request with 422 credit_limit_exceeded, before anything is charged, if it would cost more than this many credits.

Required range: x >= 1

Response

Creatives accepted.

credits_charged
integer
required

Net credits charged so far. Refunds for failed renders are subtracted.

id
string<uuid>
required
brand_id
string<uuid>
required
product_id
string<uuid>
required
name
string
required
status
enum<string>
required
Available options:
queued,
in_progress,
completed,
failed,
canceled
requested_creative_count
integer
required
completed_creative_count
integer
required
failed_creative_count
integer
required
creatives
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
Last modified on September 30, 2026